[Version key: $major.$minor$type, $type: a(lpha), b(eta), r(elease)c(andidate)]

* 2016-10-19 1.10tbd (zzz)
  - Debian packaging fixes

* 2016-08-14 1.107b-0 (zzz)
  - Add 'Lazy Edward' default archive

* 2016-08-09 1.106b-4 (zzz)
  - Clean up 'find forums' popup, add icons to buttons,
    improve message count and last post columns
  - Revert to SWT 3.8.2 20130131
  - Translation updates
  - New translations: Finnish, Norwegian Bokmal

* 2016-06-21 1.106b-3 (zzz)
  - Database speedups and caching
  - Speed up calculation of unread messages, which was stalling the UI
  - Fix Unread button, broken in 1.106b-2
  - Show message dates, not import dates, in Private Msgs button
  - Consistent placement for Cancel/OK buttons, add icons to buttons
  - Add icons to status bar and search buttons
  - More fixes for possible database corruption

* 2016-06-19 1.106b-2 (zzz)
  - Fix database corruption in 1.106b-1
  - Increase parallel fetches to 5
  - Locking on SyncManager archives and listeners
  - Use queue for DataImporter
  - Persist language preference in the database
  - Case-insensitive sort of forums in all-forums view

* 2016-06-18 1.106b-1 (zzz)
  - Eliminate dependency on deprecated Sha256Standalone and HMAC256Generator
  - Allow pushing without "http://" (ticket #1137)
  - Update to SWT 4.5 (ticket #1297)
  - Update to HSQLDB 2.3.4
  - Update to i2p.jar 0.9.26
  - Control Server: Flush output stream (thx EinMByte https://github.com/i2p/i2p.syndie/issues/2)
  - Update banlist, default archives, and URLs for the I2P, Tor, and Frost sites
  - Update toolbar icons with higher quality versions courtesy of hummingbird
  - Fix HTTPServ AIOOBE (ticket #1282)
  - Sync buttons sync all or selected (ticket #1233) (thx hikiko)
  - Refactor and fix freenet support (ticket #1424) (thx hikiko)
  - Fix NPE in sortFiles() urn:syndie:channel:d7:channel44:MrsSwvkmnhkgujdeWHdRVX~1VAnMM9slpHRRjDg6Szs=9:messageIdi1421552448706ee
  - Fix NPE at shutdown
  - Enable clearnet https archives
  - Remove duplicate channels in database
  - Increase default pull strategy to 3 months
  - Remove mac32 build target
  - Lots of code cleanup
  - Add support for translation country variants
  - Translation updates
  - New translations: Greek, Italian, Dutch, Brazilian Portuguese, Ukrainian, Chinese, Turkish

* 2014-01-20 1.105b-0 (kytv)
  - French translation updates
  - New Romanian translation

* 2013-11-18 1.104b-7-rc (kytv, zzz)
  - Update to SWT 3.8.2 20130131
  - Disable clearnet SSL, not available until I2P 0.9.9
  - Translation updates: French, Portuguese, Russian
  - Fix NPE in SyndieTreeListener

* 2013-10-28 1.104b-6-rc (zzz, kytv)
  - Add clearnet SSL fetch support
  - Translation updates: French, Spanish
  - New translations: Portuguese, Polish

* 2013-10-23 1.104b-5 (zzz)
  - Don't display PBE messages after deletion
  - Add menu item to delete PBE messages and forums
  - Add keyboard shortcuts in message view tab

* 2013-10-21 1.104b-4 (zzz)
  - Fix dup archive in Syndicator Tab after rename
  - Reduce default pull policy to 14 days
  - Only pull indexes needed for pulled messages

* 2013-10-21 1.104b-3 (zzz)
  - Fix cause of DB corruption / dup forums in -2
  - Fetch messages newest-first

* 2013-10-15 1.104b-2 (zzz)
  HSQLDB 2, DB upgrades, LOBs:
  - hsqldb 2.3.1
  - Update to DB version 25:
    - Add LOBs for attachments and pages
    - Increase length limits on cancelledURI, headerValue, and others
  - Implement offline database backup
  - Backup database before upgrading to hsqldb 2.x
  - Add code to migrate large things to LOBs
  - Enable migration of large attachments and pages to LOBs
  - Implement retrieval of pages and attachments from LOBs
  - Implement getAttachmentAsStream for real (unused yet)
  - Implement storage to LOBs in ImportPost
  - Sleep a while before shutdown compact
  - Shutdown compact immediately after upgrade, then reconnect,
    as recommended by hsqldb
  - Ignore shutdown compact error after upgrade, just reopen anyway,
    but unlikely to work
  - Use attachment size from messageAttachment table,
    not actual size from messageAttachmentData table
  Other:
  - Fix NPE when using 1.8 jar
  - Fix, or maybe just move, NPE in addURI/getURI
  - More db things package private
  - Use DataHelper.loadProps() to deserialize properties UTF-8-safely
  - Add script for the hsqldb database manager tool
  - SQLTab tweaks
  - Translation updates: French, Spanish, Swedish

* 2013-02-10 1.104b-1 (zzz)
  GUI Improvements:
  - Don't open message view tab for unreadable messages or stub messages
  - Don't fail on duplicate cancel requests
  - Fix BrowseForumTab text on forum with blank name
  - For consistency, always put cancel button to the left of OK/Save
  - Move message date to date column in syndicator tab
  - Better formatting of file sizes in Syndicator tab
  - Clean up internal error popup
  - Catch dispose errors when changing translation or theme
  Syndication:
  - Improve import failure propagation and display
  - More cleanup of Importer and enhanced ImportResults by passing
    missing key and PBE indications in result code
  - Simplification of SyncArchive.IncomingAction using Results
  - Handle and display "stub" cancel messages correctly
  - Early check for banned target in ImportPost
  Other:
  - More code refactoring

* 2013-02-03 1.103b-0 (kytv, zzz)
  GUI Improvements:
  - NymChannelTree forum display clean-up
  - BugReport clean-up
  Translations:
  - Translation updates for Spanish, Swedish, and Russian
  - German translation completed
  Fixes:
  - Don't spellcheck numbers
  Build:
  - Translation fixes
  - New build targets

* 2013-01-31 1.102b-13 (kytv, zzz)
  GUI improvements:
  - Add language selection page to Wizard
  - Repopulate Browser menu after language change
  - Doubleclick on left headers and bookmark subfolders to expand/collapse
  - Shorten public/private reply menu items and make consistent
  - Disable public reply to a private message in menus
  - Hide unimplemented 'delete read messages' and 'delete all messages' menu items
  - Name tabs by filename in MessageEditor
  - Disable remove page and remove attachment icons when not valid
  - Don't display 'last post' times in the 'find forums' popup when we only store dates in the DB
  - Rename browse-all-forums tab
  - Re-enable spell checker so it can be improved
  - Add spell checker local word list
  - Fix spell replace deleting next char
  - Hide external link buttons for internal and external browser as they are neither configurable nor safe
  Build:
  - Fix plugin versioning

* 2013-01-27 1.102b-12 (kytv, zzz)
  GUI improvements:
  - Icon and button tweaks for consistency
  - Add margins on PageRenderer
  - Add wizard icon
  - Support opening external links in external browser
  - Add experimental in-Syndie web browser
  - Partial translation for Russian
  Fixes:
  - Fix problems with caching nym prefs
  Build:
  - New build targets
  - Remove HTML classes from CLI jar
  Other:
  - More code refactoring

* 2013-01-24 1.102b-11 (kytv, zzz)
  GUI improvements:
  - Partial translations for German, Spanish, Swedish
  - Improve attachment tab layout
  - Show attachment icon in MessageTree for those with attachments
  - Improve quote message
  - Set MessageEditorTab text to the subject
  - Warn if no subject on post
  - Clean up tooltips for links
  - Fix language picker menu
  Fixes:
  - Fix bug requiring click on attachment 1 to load any attachment
  - Fix page down button in last page of message switching to blank thread tab
  - Hopefully fix error on view plain text on windows
  - Fix listynms hanging CLI
  Build:
  - Plugin and translation build fixes
  Other:
  - Add warning about CLI + httpserv
  - Don't load attachments into memory unless displayable
  - Don't keep attachment data in memory; reload if saving

* 2013-01-21 1.102b-10 (kytv, zzz)
  GUI improvements:
  - Add expand/collapse-all buttons and menu items to MessageTree;
    enable/disable expand/collapse-thread/all-buttons/menus as appropriate;
    add icons to some buttons;  better layout of buttons
  - Set MessageEditorTab text to the subject
  - Warn if no subject on post
  - Fix language picker menu
  - Make quoted text background lighter
  - Fix StyledTextChooser initial color button colors, and showing gray-on-gray sample text when changing styles
  - Change reference tab icon to the link icon
  - Get more processing off the UI thread so the UI will be respond faster at startup
  - Add icons to MessageEditor tabs
  - Set icon on MessageView reply button
  Fixes:
  - Fix disable image NPE (again)
  - Fix Syndicator NPE
  Other:
  - Increase JobRunners to 4; decrease SyncOutbundPushers to 2
  - Restrict permissions on .syndie dir
  - Add warning about CLI + httpserv

* 2013-01-19 1.102b-9 (kytv, MOSFET, zzz)
  GUI improvements:
  - Clear 'search term' and enable/disable button automatically in NymChannelTree
  - Finish tag cleanup - capitalization, symbols, spelling, spaces, consistency
  - Note meta fetch/pulls on syndicator tab
  - Add up/down arrow support to TextUITab
  - Fix coloring issues in TextUITab
  - Increase buffer size in TextUITab
  - Better formatting of multiline messages in TextUITab
  - Change SQL, Log, and UI tabs to monospace font
  - Show completed count for fetches/pulls
  Fixes:
  - Fix in-progress fetch count for unknwon reply key
  - Fix keyimport NPE if missing arg
  - Fix CLI recovery after RuntimeException
  - Clean up streams correctly when loading/storing Enclosures
  Syndication:
  - Change default pull policy from 6 months to 2 months
  - Fix reimporting of messages with unknown read/reply keys
  Build:
  - Fix classes in Desktop causing dependency warnings
  Other:
  - Preliminary support for standard URI query encoding
  - Update English PO file, ready for translation
  - Add help for missing CLI and TextEngine commands
  - More CLI help improvements, add aliases and shortcuts to menus, sorting, cleanup
  - Add CLI 'no such menu' error
  - Improve keylist CLI
  - Fix command history issues
  - Add two python script attachments from MOSFET's control server patch
  - Add more default archives
  - Implement backup of nymkeys and meta.syndie at db creation
  - Add default bans at db creation

* 2013-01-17 1.102b-8 (kytv, MOSFET, zzz)
  GUI improvements:
  - Fixes in syndicator tab when there are no archives defined
  - Fix bold and italic in default font
  - Enable cancel and close in wizard
  - Focus on finish button on last panel in wizard
  - Display dates by message ID (not import date) by default
  - Show help popup by default after posting message
  - Add stack trace to internal error popup
  - Start work on a help tab
  - Put icons on MessageViewBody tabs
  - Set italic font for unspecified author and forum on MessageView
  - Don't show unread flag on MessageFlagBar, since you're looking at the message
  Fixes:
  - Fix NPE when viewing URI with a page number and the message is unknown locally
  - Fix NPE on right-click disable images in PageRenderer
  - Fix ManageForum avatar display
  Syndication:
  - Fix createEdition to always create a date in the recent past,
    unless the replied-to date is in the future.
    Ensure later than replied-to date if a reply.
    Also prevent looping forever on bad dates.
  Build:
  - Make fonts a little larger (suggested)
  - Reorder deps in pkg-all target
  - Create launcher shellscripts for Linux
  Other:
  - Implement running a script when the db is created
  - Implement importing of keys and posts at db create, for all UIs (was just Desktop)
  - Add channel bans at db create
  - More lenient parsing of URIs
  - Added ctrlserv command to launch control server listener
  - Cache hashes and keys where possible
  - Create table in the db that was missed in db version 23. bump db rev to 24.
  - Enclosure.main (dumpsyndie) improvements (decode body if body key available, show ident hash)
  - Fix broken links to *.i2p.net in docs
  - Remove unused servlet.jar
  - Add missing licenses
  - Correct outdated info/instructions

* 2013-01-14 1.102b-7 (kytv, zzz)
  GUI improvements:
  - Fix avatar chooser menu if images are not displayed
  - Add more menu accelerators
  - 'Open Syndie URI' popup error handling
  - Yet more standardization of forum/author, in MessageTree
  - Change default display filter from 6 months to 10 years (i.e. all)
  - More status bar improvements for buttons with only one item
  Syndication:
  - More fixes for repeated-push problem.
  - Fix class cast error on cancel lists
  - Change rebuild time back to 1 hour from 4
  - Fix decoding of password-protected messages. ImportPost tried to delete
  Build:
  - Update bundled hsqldb to 1.8.1.3
  - Add OSX installers (previously there were just app bundles)
  - fix desktop launchers in Unix
  Other:
  - Add scripts for dumping index and syndie files

* 2013-01-12 1.102b-6 (kytv, zzz)
  GUI improvements:
  - Revert shuffling of push/pull order with a single archive,
    as it made the UI messier, debugging harder, and may have
    other side effects
  - Fix display for fetch index that has never succeeded
  - Don't call SyncListeners for added unless really added
  Syndication:
  - Fix multiple pushes of the same data after a not-modified index fetch
  - Fix sync-completed tracking which could prevent future pushes
  - Fix format of last-modified header to use strictest RFC 822
  Build:
  - OSX fixes

* 2013-01-11 1.102b-5 (kytv, zab, zzz)
  GUI improvements:
   - New font selector
   - Use monospace font for text messages
   - UI Tab improvements
   - More consistency in display of forum and author identies
   - Fix save and restore of font changes
   - Fixes for banned channel display and management
   - Fix NPE in desktop message editor
   - Don't maximize desktop on startup
  Build:
   - More work on installers and packages
   - Add support for translations
  Other:
   - Redesign translation infrastructure to use I2P's library,
     in preparation for translations via po files
   - Fix NPEs in CLI
   - Fix argument processing in CLI main

* 2013-01-09 1.102b-4 (kytv, zzz)
  GUI improvements:
   - Display localized dates
   - Display apparent date (message ID) rather than import date in most places
   - Better sorting (localized, case-insensitive)
   - Spacing on message flag bar icons
  HTTP Server:
   - Send and parse last-modified headers
   - Add default favicon.ico and robots.txt to reduce server errors
   - Move web files from archive/ to web/
  - Return 404 instead of index on bad requests
  Syndication:
   - Store fetched index file for reuse if server cannot be
     contacted or returns 304
   - Continue syndication even if index has not been modified
   - Fix pushes (broken in -3)
  Build:
   - Prep for installers and packages
  Other:
   - Fix disposed SWT exceptions on cancel
   - Restrict permissions on all files and directories

* 2013-01-08 1.102b-3 (kytv, zab, zzz)
  GUI improvements:
   - Add background image to browsser tab during startup
   - Speed up browser tab display at startup by several seconds,
     by putting new message search into a JobRunner thread
   - Sort forums in new message button
   - Display SyndicatorTab on startup if we closed with no tabs
   - Limit number of old tabs displayed on startup
  Fixes:
   - Fixes to reduce the number of messages pushed to archives:
     Use the apparent message date instead of the import date to determine what's too
     old to push, so we don't push ancient stuff we just pulled to another server.
     Fix bug where max age was multiplied by 7.
  HTTP Server:
   - Reject requests via inproxies
  Build:
   - OSX fixes
   - Several new targets, cleanups
   - Remove 1.3 MB of desktop help files

* 2013-01-07 1.102b-2 (zzz)
  Default changes for better new experience:
   - Change default display filter from 6 months to 10 years
  GUI improvements:
   - Better feedback in SyndicatorTab by adding
     progress and total size in bytes for message and index fetches.
     Total size only listed for pushes (for now).
   - Change page header if no items to display in MessageTree,
     so you don't think maybe it's loading.
   - Add message counts and other info to ReferenceChooserTree;
     change font based on message count
   - Add message counts to StatusBar new messages popup
   - Try to display channels consistently in the bottom status bar popups
     and the ReferenceChooserTree
   - Mark a message as read when you read it (change default to true)
  Fixes:
   - Catch 'widget is disposed' exceptions,
     possibly preventing pushes from working
  Build:
   - Add depend task for better dependency checking
   - Don't copy data files to build dir

* 2013-01-06 1.102b-1 (zzz)
  Default changes for better new experience:
   - Change default master sync time from 24 + 0-24 hours to 5 + 0-1
   - Change default archive sync time from 24 hours to 4 hours
   - Change default pull policy from server's time to 6 months
   - Change default search and display filters from 1 week to 6 months
   - Add more filter age options
   - Update default archives
   - Set default i2p archives to auto-sync
  GUI improvements:
   - Improve wizard text
   - Re-enable spellcheck (still doesn't work though)
   - Limit number of fetches or pushes shown, to not slow down the UI too much
   - Detailed interactive status in fetches and pushes section
  Fixes:
   - Fix wizard screen width (ticket #461)
   - Fix NPE when viewing a draft on a banned forum
   - Fix HTTP Server error (SocketTimeout incompatibility with older i2p.jar)
   - Fix error posting private messages
   - Fix occasional failure of httpserv at startup
   - Fix "Data already set" internal error when importing posts with
     hidden authors and an authentication mask
  Sync improvements:
   - Randomize order of archives when syncing
  Build:
   - Move all bundled resources from src/ to data/
  Other:
   - Clean up some expensive debug logging

* 2009-02-19 1.101a-mf6 fix (duh)
    - got rid of the syndie.i2p.net references in here, so syndie will stop leading people to them.

* 2008-02-04  1.101a-mf6 released (mosfet)
    - added all known archives to default archive list and commented out all archives not known to be accessible
    - ask for confirmation before posting an empty message
    - added 'Schedule sync' to Syndicator context menu
    - display last sync time of 'Fetch index' in Syndicator rather than scheduled time
    - added support for serving arbitrary files from the HTTP server. If the directory 'dist'
      exists in the instance root directory ($HOME/.syndie), any files within this directory
      will be served from the path '/dist/$fileName'. The HTTP server scans this directory
      for files to serve when it is started.
    - browser: added configuration wizard to set up a new instance's default identity and syndicates
    - browser: added Preview button to message editor
    - browser: added 'Mark Read', 'Mark Thread Read', Refresh, 'Expand Thread' and 'Collapse Thread' buttons to MessageTree tab
    - browser: added 'Sync Now' and 'Sync Now (one time only)' buttons to Syndicator tab
    - browser: added 'Run on startup' option to 'Configure HTTP archive server' dialog
    - browser: show Manage and Post buttons in MessageTree tab when you posses the private keys of the forum
    - browser: revert 1.101a-an3 MessageTree message context menu reorder

* 2008-01-21  1.101a-an5 released (Anonymous)
    - set version number appropriately in VERSION file
    - switch to browser as default UI

* 2008-01-11  1.101a-an4 released (Anonymous)
    - browser: fix NPE introduced in 1.101a-an3 when opening an editor tab

* 2008-01-10  1.101a-an3 released (Anonymous)
    - replaced 'Custom date' pop-up window by an editable combobox
    - make Message Created Successfully messagebox optional
    - browser: message editor toolbar revamped, buttons resized to 32x32 and can be reordered by dragging
    - browser: set View->Show Bookmarks check appropriately at launch
    - browser: reorder forum browser message context menu

* 2007-12-15  1.101a-an2 released (Anonymous)
    - retry failed fetches and pushes on next sync 
    - start Attach Image FileDialog from the same directory as was used last time 

* 2007-12-07  mtn-2007-12-07-complication released (Complication)
    - initialize "editor.defaultAuthor" nym preference when a nym is created

* 2007-12-03  1.101a-an1 released (Anonymous)
    - accept a wider range of file extentions as images in the Attach Image FileDialog
    - honor the user's Min Sync Delay selection

* 2007-09-28  1.101a released
    - add message expiration, deletion, and cancellation

* 2007-08-25  1.100a released
    - package the new desktop GUI as well as an update to the old tabbed GUI
    - improve syndication reliability and concurrency on both the client and
      server side
    - substantial message editor, message rendering, and thread display
      performance improvements
    - bugfixes for importing private messages
    - add more per-archive syndication configuration options
    - upgrade SWT to 3.4M1
    - lots of small performance and gui tweaks

* 2007-03-15  1.005a released
    - streamline the splash screen loading, status bar updating, and thread
      rendering.  also includes some minor refactorings to improve GUI
      responsiveness.  page rendering is also improved for large messages.
    - improved image loading performance
    - trim the PRNG buffer size from 4MB to 4KB, dramatically cutting startup
      load
    - add a 200 change undo/redo buffer into the page editor
    - handle attachment-specific Syndie URIs
    - parallelize the HTTP syndication where possible
    - add a direct "pull only" archive to new users, and schedule it up to run
      automatically (to ease the out of box experience)
    - better subsequent syndication fetch handling
    - handle web rips in character sets other than UTF-8 (translating them into
      UTF-8 transparently as long as the server sends the encoding/charset type)
    - when browsing a single forum, include the forum's advertised references up
      top, giving the forum administrator a place to put any FAQs/etc
    - support nested quotes
    - run the shutdown/exit in another thread so the GUI disappears immediately,
      even if the database takes a while to clean up
    - approximately every 10 times we shut down, compact the database
    - disable the 30 second startup timeout, as slow machines that have to do
      some database recovery could exceed that period (and the timeout was only
      there for helping pre-1.0 users migrate anyway)
    - major internal refactoring to simplify integration with other GUI styles

* 2007-02-21  1.004a released
    - heavily reworked HTTP syndication to improve reliability and performance,
      and to deal with hung connections better
    - Darn's improvements for pulling from Freenet archives more efficiently
    - rework pushing to Freenet archives to improve performance and to enable
      creating new ones
    - substantial performance improvements (optimize the thread queries and
      defer heavy operations where possible)
    - more graceful importing of transient identity keys used for accessing
      private forums
    - manage a forum's advertised references, bans, and archives more clearly
    - some HTML parsing/rendering fixes
    - more of jadeSerpent's logos and splashes
    - enable drag and drop bookmark management for the user, individual forums,
      and references added to messages
    - bundle the trac export code (though it isn't used in Syndie itself)
    - lots of small bugfixes and tweaks

* 2007-02-02  1.003a released
    - enable more advanced authentication and authorization policies in the
      forum management GUI, controlling both who should have certain
      capabilities and automating the delivery of keys necessary to accomplish
      that.  This includes the creation of transient shared identities for
      forum authorization
    - in forums where it is possible, enable control of both who the message 
      should be authenticated from ("Author") and who the message should be
      authorized by ("Sign as")
    - reenable "hidden authors" when posting under an explicitly authorized
      forum, allowing a forum to operate without letting those not authorized to
      read the forum know who is posting
    - transparently import keys passed as references and .syndie messages
      attached to posts and forum metadata when imported.  In addition, if the
      keys imported could serve to decrypt previously undecryptable posts,
      transparently attempt to decrypt those.
    - more aggressively avoid banned forums, and for archive operators, list
      banned forums as scopes they are not interested in receiving
    - drop the 'highlights' tab, and remember the open tabs on restart
    - some redesign work for browsing threads and forums to ease navigation and
      improve performance
    - address some resource leaks
    - make the integrated HTTP archive server and syndication code more
      resiliant
    - simplify the syndication controls
    - add a keyboard shortcut to view the page (^L) or editor (^K) in
      fullscreen mode
    - enable F5 to serve as a refresh key along side ^R
    - add in some simple quoting functionality when replying
    - keep track of the private messages we send
    - improved threading display
    - split large HTTP pushes into sequential batches of around 100KB to reduce
      the pain of transient failures
    - run the fproxy index fetch in a separate thread, and increase its timeout
      to 5 minutes (infinity is just too big a number...)
    - clean up the freenet fetch url handling to properly support proxied
      fetches (up to 5m per message fetch, no retries)
    - add in a slew of icons from Eclipse's set, plus a few custom icons made
      by jadeSerpent
    - a whole bunch of bugfixes and tweaks

* 2007-01-17  1.002a released
    - fix private and passphrase protected messages
    - redesign the syndication tab and revamp the code powering it
    - temporarily disable the syndication controls in the text interface
    - prefill the message subject when possible (thanks Anonymous)
    - remove many image handle leaks which led to windows instability
    - include most of the highlights tab on the status bar
    - support browsing unread messages in all bookmarked forums, sorted
      by forum and then by thread
    - add in freenet key generation support, and more aggressive USK
      fetches (thanks Darn)
    - rework the message read/unread status to fix a few bugs, and include
      a new "mark thread as read"
    - drag and drop of messages, forums, and tabs to the bookmark bar
      and button
    - always import the standard archives if there aren't any
    - bundle a Tor archive setting as part of the default install
    - increased the syndication retries
    - use the last author as the new author (thanks tuna)
    - support pulling from Freenet archives through an HTTP proxy
      (eg fproxy.tino.i2p/USK@blah - thanks voyde)
    - add in a preview pane into the thread subtab (thanks bar)
    - color cleanup (thanks voyde)
    - lots revamped on the message editor (thanks polecat, voyde, Anonymous)
    - include separate sub tabs for different pages in a single message
    - switch tabs with Alt+Left/Right (thanks voyde)
    - make a few options "sticky" (thanks voyde, bar)
    - properly honor the message size limits (thanks bar)

* 2007-01-04  1.001a released
    - simplified running a headless archive - see bin/runhttpserv.syndie
    - improved dependency tracking during syndication
    - substantial bugfixes for syndication message selection
    - integrated bug report tool
    - revamped message threading
    - simplified message posting
    - separate functionality to backup and restore private keys and
      shared secrets (into either an encrypted zip or a plain zip)
    - on first startup, pop up a wizard to adjust the basic nym settings
      (name, avatar, blog/forum post authorization)
    - lots of odds and ends cleaned up

* 2006-12-26  1.000a released
    - lets call a spade a spade
    - ship a dictionary on win32/osx (1932 websters english)

* 2006-12-26  0.920a released
    - merged in the GUI

* 2006-10-27  0.919b released
    - another EepGet fix (thanks burl!)

* 2006-10-23  0.918b released
    - fix a regression in EepGet (thanks gloin and burl!)

* 2006-10-22  0.917b released
    - add hooks for scripts to be run on syndie startup and login, as well as
      a set of default preferences and aliases to be injected when a new local
      syndie nym is created.  the scripts are in the "startup" and "login"
      files in "$rootDir/scripts/".  the preferences and aliases are name=value
      pairs in that same directory in the "defaultprefs" and "defaultaliases"
      files.
    - ship with default preferences and aliases to set the default archive for
      new users to http://syndie.i2p.net/archive/, and includes a "sync"
      alias to both pull and push any changes to it.  this does not affect
      existing syndie logins, and does not overwrite existing scripts
    - keep track of old channel read keys so that we can decrypt messages that
      used them later on, but don't use them to encrypt any new messages.
      later, we can do some pruning to remove keys long ago deprecated
    - upgrade to HSQLDB 1.8.0.7
    - include an index.html in the archive directory that, by default,
      simply explains briefly what the archive is and disclaims responsability
      for the content in it.  archive operators can customize the file as they
      see fit by editing "$rootDir/archive/index.html".  That index will of
      course be visible to anyone viewing the archive on the web, and it is
      also published inside freenet archives (as are any other html files)
    - more aggressively clean up temporary files on syndie shutdown
    - fixed a regression where fetched passphrase encrypted posts did not
      properly prompt the user for the passphrase
    - add support for HTTP 301 redirects to EepGet (so freenet USKs work as
      intended)

* 2006-10-20  0.916b released
    - let the freenetpost inserts be visible on freenet's /queue/
    - automatically rebuild the index before inserting into freenet
    - make it easier for other apps to embed the text interface (by
      creating a TextUI(String[]) and .run()ing it), and to extend the
      commands known (by registering them with syndie.db.CLI)
    - deal with missing messages in threads more gracefully
    - properly pull freenet archive entries with ?forcedownload URLs

* 2006-10-15  0.915b released
    - added support for posting archives to freenet 0.7 via the 
      freenetpost command in the syndicate menu.  pulling from freenet was
      already possible through fproxy, though it now treats archive URLs
      containing USK@, SSK@, and CHK@ specially (redirecting them to the
      correct fproxy location)

* 2006-10-14  0.914b released
    - revamped HTML design (thanks HotTuna!)
    - put together a simple monotone_howto.html as a quickstart

* 2006-10-13  0.913b released
    - bundle a sample bash script for pulling websites into syndie
      (depends on wget for fetching and links for html to text conversion)
    - translate addref URIs that refer to http URLs into SyndieURIs
      transparently
    - filled in the related.html page a bit

* 2006-10-12  0.912b released
    - migrated to monotone
    - default to compact mode for thread display
    - used cervantes' syndie_nets.png image (thanks!)

* 2006-10-08  0.910a released
    - implemented the new "threads" command, allowing intra as well as
      interchannel searching based on tags, with results ordered by most
      recently updated threads.
    - implemented the new "alias" command (and associated database table),
      allowing single and multicommand aliases using ";" as a command
      delimiter.  e.g.
      "alias sync menu syndicate; getindex; fetch; schedule --put archive; post"

* 2006-10-07  0.909a released
    - added a new "history" and associated csh-style history editing
      commands (!!, !-$num, !$num, ^a, ^a^b).
    - simplify channel authorization management with new "listnyms",
      "addnym", and "removenym" commands.

* 2006-10-06  0.908a released
    - rework the database update process so we now run
      src/syndie/db/ddl_update$n.txt whenever we are upgrading from database
      schema version $n.  This is backwards compatible
    - revamp the message/metadata import process and db schema to allow 
      importing messages that are authorized/authenticated but cannot be read,
      due to a missing key or passphrase.  in turn, revamp the read/view menu
      to display the undecrypted messages appropriately, prompting for the
      valid decryption material, providable with the new "decrypt" command.
    - encrypt private channel replies with the right key and scope

* 2006-10-05  0.907a released
    - further thread rendering fixes, and support for a new "threadprev"
      command.
    - added some status and debug messages describing the progress of http
      fetches, and added a timeout for reading http response headers (which
      should come back quickly, even if there's lots of data to transfer)
    - deal with passphrase encrypted messages in the bulkimport command by
      renaming them to "pbe_msg_$num.syndie", since they require interaction
      to import ("import --in $filename" displays the prompt for decryption,
      and "import --in $filename --pass $passphrase" decrypts it).

* 2006-10-04  0.906a released
    - added a new "prefs" command and related nymPref table, allowing you
      to set persistent preferences for each nym to be loaded on login,
      including debug and paginate state, the default http proxy, and a
      default archive (allowing you to simply "getindex" without any
      arguments).  The database update is handled automatically when
      necessary without any intervention.
    - bugfix to the message thread rendering.  it should now thread correctly
    - rework the read menu to keep track of both the channels and the messages
      being rendered so you can switch back and forth without regenerating a
      channel list again -
      (channels; messages --channel 2; view --message 0; messages --channel 3)

* 2006-10-03  0.905a released
    - support "getindex --archive file:///some/path" as well as
      "getindex --archive /some/path" and "getindex --archive http://some/url"
    - removed some debug messages unintentionally left in
    - added a new FAQ (thanks bar and void!)

* 2006-10-02  0.904a released
    - further unauthorized post/reply improvements, but the changed
      archive index-all.dat and index-new.dat have changed format, so
      upgrading is mandatory (if you want to use http syndication ;)
    - revamp the released packages:
      syndie-$rev.bin.exe (java installer w/ launch4j'ed bin/syndie.exe)
      syndie-$rev.bin.zip (no installer but w/ launch4j'ed bin/syndie.exe)
      syndie-$rev.src.tar.bz2 (source only)

* 2006-09-30  0.903a released
    - don't regenerate new channel read keys each time we update the
      metadata (since they replace old ones, so we can't decrypt messages
      that were wrapped with the old keys)
    - improvements to the unauthorized post/reply processing, flagging
      messages that weren't explicitly authorized by their keys but were
      by their context as authorized (replies in channels that allow public
      replies, posts in channels that allow public posts)
    - small fixes to the syndie.bat and import.cgi
    - fixes for goofy non-defensive-programming mistakes
    - lots of bugfixes (thanks void and Complication)

* 2006-09-29  0.902a released
    - deal with EOF on stdin (thanks bar!)
    - both "?" and "help" now refer to the help command (thanks bar!)
    - properly display blank lines in posts when appropriate
    - fixed the archive index to include the right set of messages (oops)
    - added the "builduri" helper commands for building Syndie URIs
      of URLs, channels/messages/pages, and archives

* 2006-09-28  0.901a released
    - added new "backup" and "restore" commands for simple database
      archival and disaster recovery
    - added new IzPack installer and launch4j wrapper
    - support reading new posts from standard input ("addpage --in STDIN")
    - use ".syndie" as the file extension instead of ".snd"
    - display the pagination and debug toggle state after changes
      (thanks Complication!)
    - hide the automatic db init and registration output on first run,
      as the information is saved in the database anyway
      (thanks Complication!)

* 2006-09-26  0.900a released
    - First baseline release
